> ## Documentation Index
> Fetch the complete documentation index at: https://dify-6c0370d8-fix-template-upload-size-guidance.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# アプリケーションのパラメータ情報を取得

> **対象アプリ**：Chatflow、Workflow、Agent、チャットボット、レガシー Agent、テキストジェネレーター。

アプリのフロントエンド設定（開始文と推奨質問、機能トグル、ユーザー入力フォーム、ファイルアップロード上限）を返します。アプリの入力をレンダリングし、正しいアップロード上限を適用するために使用します。



## OpenAPI

````yaml /ja/api-reference/openapi_service.json get /parameters
openapi: 3.0.1
info:
  description: >-
    Dify アプリケーションとナレッジベースのための REST API です。アプリケーション系エンドポイントはアプリの API
    キーで、ナレッジ系エンドポイントはナレッジベースの API キーで認証します。
  title: Dify サービス API
  version: 1.0.0
servers:
  - description: Dify サービス API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    url: https://{api_base_url}
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - description: チャットメッセージとインタラクションに関連する操作です。
    name: チャットメッセージ
  - description: ファイルのアップロードとプレビューの操作です。
    name: ファイル操作
  - description: エンドユーザー情報に関連する操作です。
    name: エンドユーザー
  - description: ユーザーフィードバックの操作です。
    name: メッセージフィードバック
  - description: 会話管理に関連する操作です。
    name: 会話管理
  - description: テキスト読み上げと音声認識の操作です。
    name: 音声・テキスト変換
  - description: アプリケーション設定と情報を取得する操作です。
    name: アプリケーション設定
  - description: ダイレクト返信用のアノテーション管理に関連する操作です。
    name: アノテーション管理
  - description: 人間の入力を要する一時停止中のワークフローの再開操作です。
    name: 人間の入力
  - description: ワークフローの実行と管理のための操作です。
    name: ワークフロー実行
  - description: テキスト生成に関連する操作です。
    name: 完了メッセージ
  - description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
    name: ナレッジベース
  - description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
    name: ドキュメント
  - description: ドキュメントチャンクと子チャンクの管理のための操作です。
    name: チャンク
  - description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
    name: メタデータ
  - description: ナレッジベースタグとタグバインディングの管理のための操作です。
    name: タグ管理
  - description: 利用可能なモデルを取得するための操作です。
    name: モデル
  - description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
    name: ナレッジパイプライン
paths:
  /parameters:
    get:
      tags:
        - アプリケーション設定
      summary: アプリケーションのパラメータ情報を取得
      description: >-
        **対象アプリ**：Chatflow、Workflow、Agent、チャットボット、レガシー Agent、テキストジェネレーター。


        アプリのフロントエンド設定（開始文と推奨質問、機能トグル、ユーザー入力フォーム、ファイルアップロード上限）を返します。アプリの入力をレンダリングし、正しいアップロード上限を適用するために使用します。
      operationId: getBasicChatAppParametersJa
      responses:
        '200':
          content:
            application/json:
              examples:
                appParameters:
                  summary: レスポンス例
                  value:
                    annotation_reply:
                      enabled: false
                    file_upload:
                      image:
                        detail: high
                        enabled: true
                        number_limits: 3
                        transfer_methods:
                          - remote_url
                          - local_file
                    more_like_this:
                      enabled: false
                    opening_statement: Hello! How can I help you today?
                    retriever_resource:
                      enabled: true
                    sensitive_word_avoidance:
                      enabled: false
                    speech_to_text:
                      enabled: false
                    suggested_questions:
                      - What can you do?
                      - Tell me about your features.
                    suggested_questions_after_answer:
                      enabled: true
                    system_parameters:
                      audio_file_size_limit: 50
                      file_size_limit: 15
                      image_file_size_limit: 10
                      video_file_size_limit: 100
                      workflow_file_upload_limit: 10
                    text_to_speech:
                      autoPlay: disabled
                      enabled: false
                      language: en-US
                      voice: alloy
                    user_input_form:
                      - text-input:
                          default: ''
                          label: City
                          required: true
                          variable: city
              schema:
                $ref: '#/components/schemas/AppParametersResponse'
          description: アプリケーションパラメータ情報。
        '400':
          content:
            application/json:
              examples:
                agent_not_published:
                  summary: agent_not_published
                  value:
                    code: agent_not_published
                    message: >-
                      Agent has not been published. Please publish the Agent
                      before using the API.
                    status: 400
                app_unavailable:
                  summary: app_unavailable
                  value:
                    code: app_unavailable
                    message: App unavailable, please check your app configurations.
                    status: 400
          description: |-
            - `app_unavailable` : アプリケーションが利用できないか、設定が正しくありません。
            - `agent_not_published` : バインドされた Agent が公開されていません。（Agent アプリ）
components:
  schemas:
    AppParametersResponse:
      properties:
        annotation_reply:
          description: アノテーション返信機能の設定です。
          properties:
            enabled:
              description: この機能が有効かどうか。
              type: boolean
          type: object
        file_upload:
          description: ファイルアップロードの設定。
          properties:
            image:
              properties:
                detail:
                  description: ビジョンモデルの画像詳細レベルです。
                  type: string
                enabled:
                  description: 画像アップロードが有効かどうか。
                  type: boolean
                number_limits:
                  description: アップロード可能な画像の最大数です。
                  type: integer
                transfer_methods:
                  description: >-
                    画像アップロードで許可される転送方法です。`remote_url` はファイル URL 経由、`local_file`
                    はアップロード済みファイルを示します。
                  items:
                    type: string
                  type: array
              type: object
          type: object
        more_like_this:
          description: 類似コンテンツ機能の設定です。
          properties:
            enabled:
              description: この機能が有効かどうか。
              type: boolean
          type: object
        opening_statement:
          description: オープニングステートメントのテキストです。
          nullable: true
          type: string
        retriever_resource:
          description: ナレッジ検索の引用リソース設定です。
          properties:
            enabled:
              description: この機能が有効かどうか。
              type: boolean
          type: object
        sensitive_word_avoidance:
          description: コンテンツモデレーション機能の設定です。
          properties:
            enabled:
              description: この機能が有効かどうか。
              type: boolean
          type: object
        speech_to_text:
          description: 音声テキスト変換機能の設定です。
          properties:
            enabled:
              description: この機能が有効かどうか。
              type: boolean
          type: object
        suggested_questions:
          description: 提案された質問のリストです。
          items:
            type: string
          type: array
        suggested_questions_after_answer:
          description: 回答後の提案質問の設定です。
          properties:
            enabled:
              description: この機能が有効かどうか。
              type: boolean
          type: object
        system_parameters:
          description: システムレベルのパラメータ制限です。
          properties:
            audio_file_size_limit:
              description: 最大音声ファイルサイズ（MB）。
              type: integer
            file_size_limit:
              description: 一般ファイルの最大サイズ（MB）です。
              type: integer
            image_file_size_limit:
              description: 最大画像ファイルサイズ（MB）。
              type: integer
            video_file_size_limit:
              description: 最大動画ファイルサイズ（MB）。
              type: integer
            workflow_file_upload_limit:
              description: ワークフロー実行ごとの最大ファイル数です。
              type: integer
          type: object
        text_to_speech:
          description: テキスト音声変換機能の設定です。
          properties:
            autoPlay:
              description: 自動再生設定です。音声を自動再生するには `enabled`、手動再生を要求するには `disabled` を指定します。
              type: string
            enabled:
              description: この機能が有効かどうか。
              type: boolean
            language:
              description: TTS 言語。
              type: string
            voice:
              description: TTS 音声識別子。
              type: string
          type: object
        user_input_form:
          description: ユーザー入力フォームの設定です。
          items:
            oneOf:
              - properties:
                  text-input:
                    properties:
                      default:
                        description: 入力フィールドのデフォルト値です。
                        type: string
                      label:
                        description: 入力フィールドの表示ラベルです。
                        type: string
                      required:
                        description: このフィールドが必須かどうかです。
                        type: boolean
                      variable:
                        description: ワークフローで使用される変数名です。
                        type: string
                    type: object
                title: Text Input
                type: object
              - properties:
                  paragraph:
                    properties:
                      default:
                        description: 段落フィールドのデフォルト値です。
                        type: string
                      label:
                        description: 段落フィールドの表示ラベルです。
                        type: string
                      required:
                        description: このフィールドが必須かどうかです。
                        type: boolean
                      variable:
                        description: ワークフローで使用される変数名です。
                        type: string
                    type: object
                title: Paragraph
                type: object
              - properties:
                  select:
                    properties:
                      default:
                        description: デフォルトで選択される値。
                        type: string
                      label:
                        description: セレクトフィールドの表示ラベルです。
                        type: string
                      options:
                        description: このフォームコントロールの選択可能な値のリスト。
                        items:
                          type: string
                        type: array
                      required:
                        description: このフィールドが必須かどうかです。
                        type: boolean
                      variable:
                        description: ワークフローで使用される変数名です。
                        type: string
                    type: object
                title: Select
                type: object
            type: object
          type: array
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: API_KEY
      description: >-
        すべてのリクエストは API キーで認証します：`Authorization: Bearer
        {API_KEY}`。アプリのエンドポイントにはアプリの API キーを、ナレッジのエンドポイントにはナレッジベースの API
        キーを使用します（[Dify API クイックスタート](/ja/api-reference/guides/get-started)）。


        キーはサーバーサイドで保管し、クライアントコードには決して埋め込まないでください。キーが欠落または無効なリクエストは HTTP
        `401`（`unauthorized`）で失敗します。
      scheme: bearer
      type: http

````